[IC2 Exp][1.7.10] Gravitation Suite v2.0.3!

  • Hey there everyone, On a server that me and a friend run we have only just reached the level of tech and made advanced diamond drills.
    I have been using this addon for forever! and the advanced drills have always mined dirt super fast like normal.
    But on this server it seems that it will mine everything else at super speed except for dirt..


    I am completely lost and would appreciate any help solving this.


    Thanks,
    KaPowXD

  • Hi ya, first add on I decided to add on my server and I must say you did a good job with this addon.
    Thanks for the work and I hope to see more updates in the future.

  • Is this updated to the latest ic2 experimental? it seems to crash on Version 303





    Edit: Never mind, I just did something wrong it's all happy now

    Just because I have Soaryn's skin doesn't mean you have to be evil to me it just means that you can give me a better skin

    The post was edited 1 time, last by Yvesm ().

  • Would be really nice if you could add a Quantum Suit Armour only with Jetpack Engine because I think flying like in creative mode is too overpowerd. But I don't want to abstain flying with quantum protection :D

  • everytime i use the dual wield from mine & blade it crashes with this (and i dont even use a chainsaw!)


    Ticking memory connection


    java.lang.ArrayIndexOutOfBoundsException: 150
    at gravisuite.ItemAdvChainsaw.onEntityInteract(ItemAdvChainsaw.java:119)
    at net.minecraftforge.event.ASMEventHandler_71_ItemAdvChainsaw_onEntityInteract_EntityInteractEvent.invoke(.dynamic)
    at net.minecraftforge.event.ASMEventHandler.invoke(ASMEventHandler.java:39)
    at net.minecraftforge.event.EventBus.post(EventBus.java:108)
    at net.minecraft.entity.player.EntityPlayer.func_70998_m(EntityPlayer.java:1244)
    at net.minecraft.network.NetServerHandler.func_72507_a(NetServerHandler.java:846)
    at net.minecraft.network.packet.Packet7UseEntity.func_73279_a(SourceFile:36)
    at net.minecraft.network.MemoryConnection.func_74428_b(MemoryConnection.java:89)
    at net.minecraft.network.NetServerHandler.func_72570_d(NetServerHandler.java:141)
    at net.minecraft.network.NetworkListenThread.func_71747_b(NetworkListenThread.java:54)
    at net.minecraft.server.integrated.IntegratedServerListenThread.func_71747_b(IntegratedServerListenThread.java:109)
    at net.minecraft.server.MinecraftServer.func_71190_q(MinecraftServer.java:691)
    at net.minecraft.server.MinecraftServer.func_71217_p(MinecraftServer.java:587)
    at net.minecraft.server.integrated.IntegratedServer.func_71217_p(IntegratedServer.java:175)
    at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:484)
    at net.minecraft.server.ThreadMinecraftServer.run(SourceFile:583)

    Lava isn't your friend when it comes to mining or exploring things...
    Lava IS your friend when it comes to this: :Geothermal Generator:

  • Would be really nice if you could add a Quantum Suit Armour only with Jetpack Engine because I think flying like in creative mode is too overpowerd. But I don't want to abstain flying with quantum protection :D

    In IC2 Experimvental QuantumSuit Bodyarmor is crafted with Electric Jetpack and you can activate "Quantum Jetpack" by pressing IC2 Boost Key and IC2 Mode Switch Key together.

  • In IC2 Experimvental QuantumSuit Bodyarmor is crafted with Electric Jetpack and you can activate "Quantum Jetpack" by pressing IC2 Boost Key and IC2 Mode Switch Key together.


    Ahh thanks good to know :)


    But he could give us a config option for the advanced drill to set a default mode :D

  • Hello! I have used this mod for.. well, as long as I can remember. It's a nice long-term goal to set for my server, and I find my enjoyment of the game really goes up when I finally attain it - creative flight is a blast!


    I have a problem, however, and it's the same as DragonZombie's above. On two different occasions with Mine & Blade installed - once dual-wielding Balkon's Weapon Mod items and then just now with dual Vanilla stone swords - I crash upon killing a mob. This is a fresh world, not even an hour old, and I've cheated nothing in. I wasn't even using a chainsaw! :P Any ideas (other than uninstalling Mine & Blade, which I've done twice now)? I'd love to be able to use these mods together, and this crash is akin to my unborn son punching me in the dick. :(


    Thanks for your time!

  • Crash with forge 964


    Omgwhyjesus


    What is the latest forge this is compatible with? I tried Forge 897 and it worked, but that might cause issues in other mods.


    Use the recommended build unless stated otherwise. Forge versions beyond 953 have taken a rather nasty incompatibility turn, probably in preparation for 1.7

  • I see your Solar Helmets mod got updated - any chance this one will get some love addressing the bug with Mine & Blade (crash report above)? IC2 by itself runs without issue but pop this mod in the mix and it's all crashes while dual-wielding. :(

  • Hello.


    I have some questions. We are plaing on server 1.6.4, Gravitation suite 1.9.8, Gregtech 4.05g, IC2 2.0.307 e (Hard mode)


    My friend had fully charged Gravi ChestPlate. I was hitting him with my hand and on 7th hit his gravi broked. So we was testing and we found gravichestplate has own brokebar independent on EU. Is it new feature or its bug?


    Sorry for my bad english, im from Czech.

  • Hi


    So I was just wondering if you would be willing to give us the option to change the consumption rate of energy on the items in your mod in the config, specifically the vajra and gravichestplate. I would love it if you could!!


    Thanks,


    Mack

  • Hi SeNtiMeL,


    I have a feature suggestion: IC2 allows you to rightclick with your drill to place a torch. I really like that ability and I think it would be a great addition to the advanced diamond drill as well. You probably only have to hook into the code that IC2 already has for the purpose (but then again I am no programmer).


    While on the topic of that drill, it's probably a little cheap for what it does. The upgrade from normal to diamond is almost more expensive than from diamond to advanced. How about replacing one of the three overclockers - the one in bottom middle - with an engine booster instead. The ones from the advanced jetpack recipe. Think of it as upgrading your drill motor with a jet turbine for that extra bit of spinning speed and forward thrust... ;) (I bet that would work great in an anime.)

  • Good day,


    With the changes in IDs incoming, I thought I would show the warnings that are coming up with GraviSuite items. Hope it helps.



    [SEVERE] Found anonymous item of class gravisuite.ItemGraviChestPlate with ID 30473 owned by mod GraviSuite, this item will NOT survive a 1.7 upgrade!
    [SEVERE] Found anonymous item of class gravisuite.ItemUltimateLappack with ID 30474 owned by mod GraviSuite, this item will NOT survive a 1.7 upgrade!
    [SEVERE] Found anonymous item of class gravisuite.ItemSimpleItems with ID 30475 owned by mod GraviSuite, this item will NOT survive a 1.7 upgrade!
    [SEVERE] Found anonymous item of class gravisuite.ItemVajra with ID 30477 owned by mod GraviSuite, this item will NOT survive a 1.7 upgrade!
    [SEVERE] Found anonymous item of class gravisuite.ItemAdvDDrill with ID 30478 owned by mod GraviSuite, this item will NOT survive a 1.7 upgrade!
    [SEVERE] Found anonymous item of class gravisuite.ItemAdvChainsaw with ID 30479 owned by mod GraviSuite, this item will NOT survive a 1.7 upgrade!
    [SEVERE] Found anonymous item of class gravisuite.ItemAdvancedLappack with ID 30480 owned by mod GraviSuite, this item will NOT survive a 1.7 upgrade!
    [SEVERE] Found anonymous item of class gravisuite.ItemAdvancedJetPack with ID 30481 owned by mod GraviSuite, this item will NOT survive a 1.7 upgrade!
    [SEVERE] Found anonymous item of class gravisuite.ItemGraviTool with ID 30482 owned by mod GraviSuite, this item will NOT survive a 1.7 upgrade!
    [SEVERE] Found anonymous item of class gravisuite.ItemAdvancedNanoChestPlate with ID 30483 owned by mod GraviSuite, this item will NOT survive a 1.7 upgrade!

  • Crash with forge 964


    Omgwhyjesus


    What is the latest forge this is compatible with? I tried Forge 897 and it worked, but that might cause issues in other mods.


    I am also getting the same error. A few other mods (and more to come soon) have started to require Forge 964. I tested everything out and the problem is coming from Gravisuite, looks like there is either something in Gravisuite asking for something no longer in Forge, or something missing in Gravisuite that is expected in the latest Forge.